Bug 54462 - gcov .bb info incorrect for C++ static initialization
gcov .bb info incorrect for C++ static initialization
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2001-10-09 04:22 EDT by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-15 12:55:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-09 04:22:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0; TMSL)

Description of problem:
gcov core dumps when trying to produce coverage information with C++ which 
have static initialization

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
#include <iostream>
#include <vector.h>

void main()
  vector<int> string_list;

2. g++ -ftest-coverage -fprofile-arcs file.cxx -o file_cov
3. ./file_cov
4. gcov file
>Aborted (core dumped)

Actual Results:  core dump

Expected Results:  coverage information results

Additional info:

http://gcc.gnu.org/ml/gcc-bugs/2001-04/msg00034.html by Michelle Lorenz

http://gcc.gnu.org/cgi-bin/gnatsweb.pl, problem report 3639
Comment 1 Alan Cox 2002-12-15 12:55:23 EST
Works ok in 3.2

Note You need to log in before you can comment on or make changes to this bug.